diff -rc qmail-1.03/Makefile qmail-jaguar/Makefile
*** qmail-1.03/Makefile	Mon Jun 15 19:53:16 1998
--- qmail-jaguar/Makefile	Thu Nov 13 15:20:33 2003
***************
*** 302,308 ****
  
  clean: \
  TARGETS
! 	rm -f `cat TARGETS`
  
  coe.o: \
  compile coe.c coe.h
--- 302,308 ----
  
  clean: \
  TARGETS
! 	rm -f `cat TARGETS`;( [ -f SENDMAIL.txt ] && mv SENDMAIL.txt SENDMAIL )|| exit 1
  
  coe.o: \
  compile coe.c coe.h
***************
*** 742,749 ****
  install: \
  load install.o fifo.o hier.o auto_qmail.o auto_split.o auto_uids.o \
  strerr.a substdio.a open.a error.a str.a fs.a
! 	./load install fifo.o hier.o auto_qmail.o auto_split.o \
! 	auto_uids.o strerr.a substdio.a open.a error.a str.a fs.a 
  
  install-big: \
  load install-big.o fifo.o install.o auto_qmail.o auto_split.o \
--- 742,749 ----
  install: \
  load install.o fifo.o hier.o auto_qmail.o auto_split.o auto_uids.o \
  strerr.a substdio.a open.a error.a str.a fs.a
! 	mv INSTALL INSTALL.txt && ./load install fifo.o hier.o auto_qmail.o auto_split.o \
! 	auto_uids.o strerr.a substdio.a open.a error.a str.a fs.a && mv install installer && mv INSTALL.txt INSTALL
  
  install-big: \
  load install-big.o fifo.o install.o auto_qmail.o auto_split.o \
***************
*** 1270,1276 ****
  load qmail-pop3d.o commands.o case.a timeoutread.o timeoutwrite.o \
  maildir.o prioq.o now.o env.a strerr.a sig.a open.a getln.a \
  stralloc.a alloc.a substdio.a error.a str.a fs.a socket.lib
! 	./load qmail-pop3d commands.o case.a timeoutread.o \
  	timeoutwrite.o maildir.o prioq.o now.o env.a strerr.a sig.a \
  	open.a getln.a stralloc.a alloc.a substdio.a error.a str.a \
  	fs.a  `cat socket.lib`
--- 1270,1276 ----
  load qmail-pop3d.o commands.o case.a timeoutread.o timeoutwrite.o \
  maildir.o prioq.o now.o env.a strerr.a sig.a open.a getln.a \
  stralloc.a alloc.a substdio.a error.a str.a fs.a socket.lib
! 	./load qmail-pop3d commands.o case.a timeoutread.o strerr_sys.o  \
  	timeoutwrite.o maildir.o prioq.o now.o env.a strerr.a sig.a \
  	open.a getln.a stralloc.a alloc.a substdio.a error.a str.a \
  	fs.a  `cat socket.lib`
***************
*** 1734,1740 ****
  sendmail: \
  load sendmail.o env.a getopt.a alloc.a substdio.a error.a str.a \
  auto_qmail.o
! 	./load sendmail env.a getopt.a alloc.a substdio.a error.a \
  	str.a auto_qmail.o 
  
  sendmail.o: \
--- 1734,1740 ----
  sendmail: \
  load sendmail.o env.a getopt.a alloc.a substdio.a error.a str.a \
  auto_qmail.o
! 	( [ -f SENDMAIL ] && mv SENDMAIL SENDMAIL.txt ) && ./load sendmail env.a getopt.a alloc.a substdio.a error.a \
  	str.a auto_qmail.o 
  
  sendmail.o: \
***************
*** 1744,1750 ****
  
  setup: \
  it man
! 	./install
  
  sgetopt.o: \
  compile sgetopt.c substdio.h subfd.h substdio.h sgetopt.h subgetopt.h \
--- 1744,1750 ----
  
  setup: \
  it man
! 	./installer
  
  sgetopt.o: \
  compile sgetopt.c substdio.h subfd.h substdio.h sgetopt.h subgetopt.h \
diff -rc qmail-1.03/TARGETS qmail-jaguar/TARGETS
*** qmail-1.03/TARGETS	Mon Jun 15 19:53:16 1998
--- qmail-jaguar/TARGETS	Thu Nov 13 14:40:25 2003
***************
*** 307,313 ****
  install.o
  install-big
  hier.o
! install
  instcheck.o
  instcheck
  home
--- 307,313 ----
  install.o
  install-big
  hier.o
! installer
  instcheck.o
  instcheck
  home
diff -rc qmail-1.03/conf-ld qmail-jaguar/conf-ld
*** qmail-1.03/conf-ld	Mon Jun 15 19:53:16 1998
--- qmail-jaguar/conf-ld	Thu Nov 13 14:40:25 2003
***************
*** 1,3 ****
! cc -s
  
  This will be used to link .o files into an executable.
--- 1,3 ----
! cc -Xlinker -x 
  
  This will be used to link .o files into an executable.
diff -rc qmail-1.03/dns.c qmail-jaguar/dns.c
*** qmail-1.03/dns.c	Mon Jun 15 19:53:16 1998
--- qmail-jaguar/dns.c	Thu Nov 13 15:18:05 2003
***************
*** 21,27 ****
  static unsigned short getshort(c) unsigned char *c;
  { unsigned short u; u = c[0]; return (u << 8) + c[1]; }
  
! static union { HEADER hdr; unsigned char buf[PACKETSZ]; } response;
  static int responselen;
  static unsigned char *responseend;
  static unsigned char *responsepos;
--- 21,27 ----
  static unsigned short getshort(c) unsigned char *c;
  { unsigned short u; u = c[0]; return (u << 8) + c[1]; }
  
! static union { HEADER hdr; unsigned char buf[65535]; } response;
  static int responselen;
  static unsigned char *responseend;
  static unsigned char *responsepos;
